Bug 443733 - not detect the installable tree properly on nfs install
not detect the installable tree properly on nfs install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-22 22:49 EDT by Akira TAGOH
Modified: 2008-07-10 17:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-10 17:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-04-22 22:49:09 EDT
Description of problem:
anaconda doesn't do the sanity check when mounting via nfs. this behavior
introduces "Unable to read package metadata" error after stage2 is coming.

Version-Release number of selected component (if applicable):
9-Preview's anaconda

How reproducible:

Steps to Reproduce:
1.select nfs as the install method
2.type valid nfs server and non-Fedora directory
Actual results:
passed the local media detection.

Expected results:
should be failed before stage2 is coming.

Additional info:
Comment 1 Chris Lumens 2008-04-23 07:29:16 EDT
Does the NFS directory you are providing actually contain repodata?
Comment 2 Akira TAGOH 2008-04-23 07:57:01 EDT
No, not at all. I'm expecting here it should be failed during the local media
detection or so, and get back to the dialog inputs the nfs server and the directory.
Comment 3 Chris Lumens 2008-04-23 08:23:09 EDT
I don't think there's anything we can do for F9, then.  The real plan here is to
add support for NFS to the repo editor in stage2 so you can make corrections
there.  In general we are trying to move this sort of stuff out of loader and
into stage2 where it's much easier.  We certainly don't want to add checks for
repodata into the loader.

I'll be looking at this immediately after F9 goes out.
Comment 4 Akira TAGOH 2008-04-23 10:25:17 EDT
Sure. that sounds nice for future release. how about any workaround for F-9
then? apparently the repo editor doesn't support nfs so far as you said you will
do after F-9 is out. I have no idea except rebooting though.
Comment 5 Bug Zapper 2008-05-14 05:59:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Chris Lumens 2008-07-10 17:07:24 EDT
This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.